package com.gyee.runeconomy.model.vo;

import java.util.List;

public class PoliceVo {

    // 内部类 Data，用于表示 JSON 中的 data 部分
    public static class Data {
        private Integer total;  // total 字段
        private List<AlarmDetails> ls;  // ls 字段，表示报警详细信息的列表

        // Getter 和 Setter 方法
        public Integer getTotal() {
            return total;
        }

        public void setTotal(Integer total) {
            this.total = total;
        }

        public List<AlarmDetails> getLs() {
            return ls;
        }

        public void setLs(List<AlarmDetails> ls) {
            this.ls = ls;
        }
    }

    // 内部类 AlarmDetails，用于表示报警的详细信息
    public static class AlarmDetails {
        private String tbName;
        private String alarmId;
        private String alarmType;
        private String characteristic;
        private String components;
        private Boolean confirmed;
        private String description;
        private String deviceId;
        private String devicename;
        private String deviceType;
        private Boolean enabled;
        private String lineid;
        private String linename;
        private String modelId;
        private String projectid;
        private String projectname;
        private Integer rank;
        private Boolean resettable;
        private String stationid;
        private String stationname;
        private String subcomponents;
        private String suffix;
        private String tagid;
        private Integer triggertype;
        private String uniformcode;
        private String superTableName;
        private Long ts;
        private Integer val;
        private String oval;
        private Long endts;
        private Integer timelong;
        private String name;
        private String nemCode;
        private String faultCause;
        private String resolvent;
        private String wpName;
        private String code;
        private String wpId;
        private String faultType;
        private String id;

        // Getter 和 Setter 方法
        public String getTbName() {
            return tbName;
        }

        public void setTbName(String tbName) {
            this.tbName = tbName;
        }

        public String getAlarmId() {
            return alarmId;
        }

        public void setAlarmId(String alarmId) {
            this.alarmId = alarmId;
        }

        public String getAlarmType() {
            return alarmType;
        }

        public void setAlarmType(String alarmType) {
            this.alarmType = alarmType;
        }

        public String getCharacteristic() {
            return characteristic;
        }

        public void setCharacteristic(String characteristic) {
            this.characteristic = characteristic;
        }

        public String getComponents() {
            return components;
        }

        public void setComponents(String components) {
            this.components = components;
        }

        public Boolean getConfirmed() {
            return confirmed;
        }

        public void setConfirmed(Boolean confirmed) {
            this.confirmed = confirmed;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getDeviceId() {
            return deviceId;
        }

        public void setDeviceId(String deviceId) {
            this.deviceId = deviceId;
        }

        public String getDevicename() {
            return devicename;
        }

        public void setDevicename(String devicename) {
            this.devicename = devicename;
        }

        public String getDeviceType() {
            return deviceType;
        }

        public void setDeviceType(String deviceType) {
            this.deviceType = deviceType;
        }

        public Boolean getEnabled() {
            return enabled;
        }

        public void setEnabled(Boolean enabled) {
            this.enabled = enabled;
        }

        public String getLineid() {
            return lineid;
        }

        public void setLineid(String lineid) {
            this.lineid = lineid;
        }

        public String getLinename() {
            return linename;
        }

        public void setLinename(String linename) {
            this.linename = linename;
        }

        public String getModelId() {
            return modelId;
        }

        public void setModelId(String modelId) {
            this.modelId = modelId;
        }

        public String getProjectid() {
            return projectid;
        }

        public void setProjectid(String projectid) {
            this.projectid = projectid;
        }

        public String getProjectname() {
            return projectname;
        }

        public void setProjectname(String projectname) {
            this.projectname = projectname;
        }

        public Integer getRank() {
            return rank;
        }

        public void setRank(Integer rank) {
            this.rank = rank;
        }

        public Boolean getResettable() {
            return resettable;
        }

        public void setResettable(Boolean resettable) {
            this.resettable = resettable;
        }

        public String getStationid() {
            return stationid;
        }

        public void setStationid(String stationid) {
            this.stationid = stationid;
        }

        public String getStationname() {
            return stationname;
        }

        public void setStationname(String stationname) {
            this.stationname = stationname;
        }

        public String getSubcomponents() {
            return subcomponents;
        }

        public void setSubcomponents(String subcomponents) {
            this.subcomponents = subcomponents;
        }

        public String getSuffix() {
            return suffix;
        }

        public void setSuffix(String suffix) {
            this.suffix = suffix;
        }

        public String getTagid() {
            return tagid;
        }

        public void setTagid(String tagid) {
            this.tagid = tagid;
        }

        public Integer getTriggertype() {
            return triggertype;
        }

        public void setTriggertype(Integer triggertype) {
            this.triggertype = triggertype;
        }

        public String getUniformcode() {
            return uniformcode;
        }

        public void setUniformcode(String uniformcode) {
            this.uniformcode = uniformcode;
        }

        public String getSuperTableName() {
            return superTableName;
        }

        public void setSuperTableName(String superTableName) {
            this.superTableName = superTableName;
        }

        public Long getTs() {
            return ts;
        }

        public void setTs(Long ts) {
            this.ts = ts;
        }

        public Integer getVal() {
            return val;
        }

        public void setVal(Integer val) {
            this.val = val;
        }

        public String getOval() {
            return oval;
        }

        public void setOval(String oval) {
            this.oval = oval;
        }

        public Long getEndts() {
            return endts;
        }

        public void setEndts(Long endts) {
            this.endts = endts;
        }

        public Integer getTimelong() {
            return timelong;
        }

        public void setTimelong(Integer timelong) {
            this.timelong = timelong;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getNemCode() {
            return nemCode;
        }

        public void setNemCode(String nemCode) {
            this.nemCode = nemCode;
        }

        public String getFaultCause() {
            return faultCause;
        }

        public void setFaultCause(String faultCause) {
            this.faultCause = faultCause;
        }

        public String getResolvent() {
            return resolvent;
        }

        public void setResolvent(String resolvent) {
            this.resolvent = resolvent;
        }

        public String getWpName() {
            return wpName;
        }

        public void setWpName(String wpName) {
            this.wpName = wpName;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getWpId() {
            return wpId;
        }

        public void setWpId(String wpId) {
            this.wpId = wpId;
        }

        public String getFaultType() {
            return faultType;
        }

        public void setFaultType(String faultType) {
            this.faultType = faultType;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }
    }

    // PoliceVo 的字段
    private Integer code;  // code 字段
    private Data data;     // data 字段，类型是 Data

    // Getter 和 Setter 方法
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Data getData() {
        return data;
    }

    public void setData(Data data) {
        this.data = data;
    }
}
